/*-----------------------------------------------------------------+
 |                                                                 |
 |  Copyright (C) 2002-2003 Grubconf                               |
 |                     http://grubconf.sourceforge.net/            | 
 |                                                                 |
 | This program is free software; you can redistribute it and/or   |
 | modify it under the terms of the GNU General Public License     |
 | as published by the Free Software Foundation; either version 2  |
 | of the License, or (at your option) any later version           |
 |                                                                 |
 | This program is distributed in the hope that it will be useful, |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of  |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   |
 | GNU General Public License for more details.                    |
 |                                                                 |
 | A copy of the GNU General Public License may be found in the    |
 | installation directory named "COPYING"                          |
 |                                                                 |
 +-----------------------------------------------------------------+
 */

#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

#include <gtk/gtk.h>

char *dir_pointer;
gboolean new_os;

void on_chkSplash_toggled (GtkToggleButton * togglebutton, gpointer user_data);

#if USE_COLOR
void on_chkColor_toggled (GtkToggleButton * togglebutton, gpointer user_data);
#endif

void on_butOk_clicked (GtkButton * button, gpointer user_data);

void on_butApply_clicked (GtkButton * button, gpointer user_data);

void on_butCancel_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSNew_clicked (GtkButton * button, gpointer user_data);

void on_cmdOsEdit_clicked (GtkButton * button, gpointer user_data);

void on_cmdOsDelete_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSOk_clicked (GtkButton * button, gpointer user_data);

void on_cmdKernelOpts_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSApply_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSCancel_clicked (GtkButton * button, gpointer user_data);

void on_optOSType_menu_clicked (GtkMenu * button, gpointer user_data);

void on_winMain_destroy (GtkObject * object, gpointer user_data);

void on_diaMore_destroy (GtkObject * object, gpointer user_data);

void on_cmdMoreClose_clicked (GtkButton * button, gpointer user_data);

void on_cmdMore_clicked (GtkButton * button, gpointer user_data);

void on_txtOSTitle_changed (GtkEditable *editable, gpointer user_data);

void on_manual1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_about1_activate (GtkMenuItem * menuitem, gpointer user_data);

void on_diaOS_destroy (GtkObject * object, gpointer user_data);

void on_diaKernel_destroy (GtkObject *object, gpointer user_data);

void on_chkScsi_toggled (GtkButton * button, gpointer user_data);

void on_chkOther_toggled (GtkButton * button, gpointer user_data);

void on_cmdKernCancel_clicked (GtkButton *button, gpointer user_data);

void on_cmdKernOk_clicked (GtkButton *button, gpointer user_data);

void on_cmdFileFind_clicked ( GtkButton * button, gpointer user_data );

void splash_replace( GtkWidget *w, GtkFileSelection *fs ); //used by on_cmdFileFind_clicked

void kernel_replace( GtkWidget *w, GtkFileSelection *fs);  //used by on_cmdFileFind_clicked

void on_cmdOSHelpMain_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSOkMain_clicked (GtkButton * button, gpointer user_data);

void on_cmdOSRevertMain_clicked (GtkButton * button, gpointer user_data);


void on_cmdManual_clicked (GtkButton * button, gpointer user_data);

void on_cmdAbout_clicked (GtkButton * button, gpointer user_data);

void on_timeout_spin_value_changed (GtkSpinButton *spinbutton, gpointer user_data);

void on_optGenSplashDev_changed (GtkOptionMenu *optionmenu, gpointer user_data);

void on_optHFor_changed (GtkOptionMenu *optionmenu, gpointer user_data);

void on_optHBak_changed (GtkOptionMenu *optionmenu, gpointer user_data);

void on_txtGenSplash_changed (GtkEditable *editable, gpointer user_data);

//void on_chkGenHidden_clicked (GtkButton * button, gpointer user_data);

void on_tvGenExtra_changed (GtkTextBuffer *textbuffer, gpointer user_data);


void        list_toggle      (GtkCellRendererToggle *cellrenderertoggle,
                                            gchar *arg1,
                                            gpointer user_data);
#endif
